<?php $__env->startSection('title','Order Details'); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="page-header d-print-none">
            <div class="row align-items-center">
                <div class="col-sm mb-2 mb-sm-0">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb breadcrumb-no-gutter">
                            <li class="breadcrumb-item">
                                <a class="breadcrumb-link"
                                   href="<?php echo e(route('branch.orders.list',['status'=>'all'])); ?>">
                                    <?php echo e(trans('messages.orders')); ?>

                                </a>
                            </li>
                            <li class="breadcrumb-item active"
                                aria-current="page"><?php echo e(trans('messages.order')); ?>   <?php echo e(trans('messages.details')); ?></li>
                        </ol>
                    </nav>

                    <div class="d-sm-flex align-items-sm-center">
                        <h1 class="page-header-title"><?php echo e(trans('messages.order')); ?> #<?php echo e($order['id']); ?></h1>

                        <?php if($order['payment_status']=='paid'): ?>
                            <span class="badge badge-soft-success ml-sm-3">
                                <span class="legend-indicator bg-success"></span><?php echo e(trans('messages.paid')); ?>

                            </span>
                        <?php else: ?>
                            <span class="badge badge-soft-danger ml-sm-3">
                                <span class="legend-indicator bg-danger"></span><?php echo e(trans('messages.unpaid')); ?>

                            </span>
                        <?php endif; ?>

                        <?php if($order['order_status']=='pending'): ?>
                            <span class="badge badge-soft-info ml-2 ml-sm-3 text-capitalize">
                              <span class="legend-indicator bg-info text"></span><?php echo e(trans('messages.pending')); ?>

                            </span>
                        <?php elseif($order['order_status']=='confirmed'): ?>
                            <span class="badge badge-soft-info ml-2 ml-sm-3 text-capitalize">
                              <span class="legend-indicator bg-info"></span><?php echo e(trans('messages.confirmed')); ?>

                            </span>
                        <?php elseif($order['order_status']=='processing'): ?>
                            <span class="badge badge-soft-warning ml-2 ml-sm-3 text-capitalize">
                              <span class="legend-indicator bg-warning"></span><?php echo e(trans('messages.processing')); ?>

                            </span>
                        <?php elseif($order['order_status']=='out_for_delivery'): ?>
                            <span class="badge badge-soft-warning ml-2 ml-sm-3 text-capitalize">
                              <span class="legend-indicator bg-warning"></span><?php echo e(trans('messages.out_for_delivery')); ?>

                            </span>
                        <?php elseif($order['order_status']=='delivered'): ?>
                            <span class="badge badge-soft-success ml-2 ml-sm-3 text-capitalize">
                              <span class="legend-indicator bg-success"></span><?php echo e(trans('messages.delivered')); ?>

                            </span>
                        <?php else: ?>
                            <span class="badge badge-soft-danger ml-2 ml-sm-3 text-capitalize">
                              <span class="legend-indicator bg-danger"></span><?php echo e(str_replace('_',' ',$order['order_status'])); ?>

                            </span>
                        <?php endif; ?>
                        <span class="ml-2 ml-sm-3">
                        <i class="tio-date-range"></i> <?php echo e(date('d M Y H:i:s',strtotime($order['created_at']))); ?>

                </span>
                    </div>

                    <div class="mt-2">
                        <a class="text-body mr-3"
                           href=<?php echo e(route('branch.orders.generate-invoice',[$order['id']])); ?>>
                            <i class="tio-print mr-1"></i> <?php echo e(trans('messages.print')); ?> <?php echo e(trans('messages.invoice')); ?>

                        </a>

                        <!-- Unfold -->
                        <?php if($order['order_type']!='take_away'): ?>
                            <div class="hs-unfold">
                                <select class="form-control" name="delivery_man_id"
                                        onchange="addDeliveryMan(this.value)">
                                    <option value="0">Select Delivery Man</option>
                                    <?php $__currentLoopData = \App\Model\DeliveryMan::where(['branch_id'=>auth('branch')->id()])->orWhere(['branch_id'=>0])->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deliveryMan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($deliveryMan['id']); ?>" <?php echo e($order['delivery_man_id']==$deliveryMan['id']?'selected':''); ?>>
                                            <?php echo e($deliveryMan['f_name'].' '.$deliveryMan['l_name']); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="hs-unfold ml-1">
                                <?php if($order['order_status']=='out_for_delivery'): ?>
                                    <?php ($origin=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->first()); ?>
                                    <?php ($current=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->latest()->first()); ?>
                                    <?php if(isset($origin)): ?>
                                        
                                        <a class="btn btn-outline-primary" target="_blank"
                                           title="Delivery Boy Last Location" data-toggle="tooltip" data-placement="top"
                                           href="https://www.google.com/maps/dir/?api=1&origin=<?php echo e($origin['latitude']); ?>,<?php echo e($origin['longitude']); ?>&destination=<?php echo e($current['latitude']); ?>,<?php echo e($current['longitude']); ?>">
                                            <i class="tio-map"></i>
                                        </a>
                                    <?php else: ?>
                                        <a class="btn btn-outline-primary" href="javascript:" data-toggle="tooltip"
                                           data-placement="top" title="Waiting for location...">
                                            <i class="tio-map"></i>
                                        </a>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <a class="btn btn-outline-dark" href="javascript:" onclick="last_location_view()"
                                       data-toggle="tooltip" data-placement="top"
                                       title="Only available when order is out for delivery!">
                                        <i class="tio-map"></i>
                                    </a>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>

                        <div class="hs-unfold float-right">
                            <div class="dropdown">
                                <button class="btn btn-outline-secondary btn-sm dropdown-toggle" type="button"
                                        id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">
                                    <?php echo e(trans('messages.status')); ?>

                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'pending'])); ?>','Change status to pending ?')"
                                       href="javascript:"><?php echo e(trans('messages.pending')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'confirmed'])); ?>','Change status to confirmed ?')"
                                       href="javascript:"><?php echo e(trans('messages.confirmed')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'processing'])); ?>','Change status to processing ?')"
                                       href="javascript:"><?php echo e(trans('messages.processing')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'out_for_delivery'])); ?>','Change status to out for delivery ?')"
                                       href="javascript:"><?php echo e(trans('messages.out_for_delivery')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'delivered'])); ?>','Change status to delivered ?')"
                                       href="javascript:"><?php echo e(trans('messages.delivered')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'returned'])); ?>','Change status to returned ?')"
                                       href="javascript:"><?php echo e(trans('messages.returned')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'failed'])); ?>','Change status to failed ?')"
                                       href="javascript:"><?php echo e(trans('messages.failed')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.status',['id'=>$order['id'],'order_status'=>'canceled'])); ?>','Change status to canceled ?')"
                                       href="javascript:"><?php echo e(trans('messages.canceled')); ?></a>
                                </div>
                            </div>
                        </div>
                        <div class="hs-unfold float-right pr-2">
                            <div class="dropdown">
                                <button class="btn btn-outline-secondary btn-sm dropdown-toggle" type="button"
                                        id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">
                                    <?php echo e(trans('messages.payment')); ?>

                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.payment-status',['id'=>$order['id'],'payment_status'=>'paid'])); ?>','Change status to paid ?')"
                                       href="javascript:"><?php echo e(trans('messages.paid')); ?></a>
                                    <a class="dropdown-item"
                                       onclick="route_alert('<?php echo e(route('branch.orders.payment-status',['id'=>$order['id'],'payment_status'=>'unpaid'])); ?>','Change status to unpaid ?')"
                                       href="javascript:"><?php echo e(trans('messages.unpaid')); ?></a>
                                </div>
                            </div>
                        </div>
                        <!-- End Unfold -->
                    </div>
                </div>

                <div class="col-sm-auto">
                    <a class="btn btn-icon btn-sm btn-ghost-secondary rounded-circle mr-1"
                       href="<?php echo e(route('branch.orders.details',[$order['id']-1])); ?>"
                       data-toggle="tooltip" data-placement="top" title="Previous order">
                        <i class="tio-arrow-backward"></i>
                    </a>
                    <a class="btn btn-icon btn-sm btn-ghost-secondary rounded-circle"
                       href="<?php echo e(route('branch.orders.details',[$order['id']+1])); ?>" data-toggle="tooltip"
                       data-placement="top" title="Next order">
                        <i class="tio-arrow-forward"></i>
                    </a>
                </div>
            </div>
        </div>
        <!-- End Page Header -->

        <div class="row" id="printableArea">
            <div class="col-lg-8 mb-3 mb-lg-0">
                <!-- Card -->
                <div class="card mb-3 mb-lg-5">
                    <!-- Header -->
                    <div class="card-header" style="display: block!important;">
                        <div class="row">
                            <div class="col-12 pb-2 border-bottom">
                                <h4 class="card-header-title">
                                    <?php echo e(trans('messages.order')); ?> <?php echo e(trans('messages.details')); ?>

                                    <span
                                        class="badge badge-soft-dark rounded-circle ml-1"><?php echo e($order->details->count()); ?></span>
                                </h4>
                            </div>
                            <div class="col-6 pt-2">
                                <h6 style="color: #8a8a8a;">
                                    <?php echo e(trans('messages.order')); ?> <?php echo e(trans('messages.note')); ?> : <?php echo e($order['order_note']); ?>

                                </h6>
                            </div>
                            <div class="col-6 pt-2">
                                <div class="text-right">
                                    <h6 class="text-capitalize" style="color: #8a8a8a;">
                                        <?php echo e(trans('messages.payment')); ?> <?php echo e(trans('messages.method')); ?> : <?php echo e(str_replace('_',' ',$order['payment_method'])); ?>

                                    </h6>
                                    <h6 class="" style="color: #8a8a8a;">
                                        <?php if($order['transaction_reference']==null): ?>
                                            <?php echo e(trans('messages.reference')); ?> <?php echo e(trans('messages.code')); ?> :
                                            <button class="btn btn-outline-primary btn-sm" data-toggle="modal"
                                                    data-target=".bd-example-modal-sm">
                                                <?php echo e(trans('messages.add')); ?>

                                            </button>
                                        <?php else: ?>
                                            <?php echo e(trans('messages.reference')); ?> <?php echo e(trans('messages.code')); ?> : <?php echo e($order['transaction_reference']); ?>

                                        <?php endif; ?>
                                    </h6>
                                    <h6 class="text-capitalize" style="color: #8a8a8a;"><?php echo e(trans('messages.order')); ?> <?php echo e(trans('messages.type')); ?>

                                        : <label style="font-size: 10px"
                                                 class="badge badge-soft-primary"><?php echo e(str_replace('_',' ',$order['order_type'])); ?></label>
                                    </h6>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- End Header -->

                    <!-- Body -->
                    <div class="card-body">
                    <?php ($sub_total=0); ?>
                    <?php ($total_tax=0); ?>
                    <?php ($total_dis_on_pro=0); ?>
                    <?php ($add_ons_cost=0); ?>
                    <?php $__currentLoopData = $order->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($detail->product): ?>
                            <?php ($add_on_qtys=json_decode($detail['add_on_qtys'],true)); ?>
                            <!-- Media -->
                                <div class="media">
                                    <div class="avatar avatar-xl mr-3">
                                        <img class="img-fluid"
                                             onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img2.jpg')); ?>'"
                                             src="<?php echo e(asset('storage/app/public/product')); ?>/<?php echo e($detail->product['image']); ?>"
                                             alt="Image Description">
                                    </div>

                                    <div class="media-body">
                                        <div class="row">
                                            <div class="col-md-6 mb-3 mb-md-0">
                                                <strong> <?php echo e($detail->product['name']); ?></strong><br>

                                                <?php if(count(json_decode($detail['variation'],true))>0): ?>
                                                    <strong><u><?php echo e(trans('messages.variation')); ?> : </u></strong>
                                                    <?php $__currentLoopData = json_decode($detail['variation'],true)[0]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key1 =>$variation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <div class="font-size-sm text-body">
                                                            <span><?php echo e($key1); ?> :  </span>
                                                            <span class="font-weight-bold"><?php echo e($variation); ?></span>
                                                        </div>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>

                                                <?php $__currentLoopData = json_decode($detail['add_on_ids'],true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 =>$id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php ($addon=\App\Model\AddOn::find($id)); ?>
                                                    <?php if($key2==0): ?><strong><u><?php echo e(trans('messages.addons')); ?> : </u></strong><?php endif; ?>

                                                    <?php if($add_on_qtys==null): ?>
                                                        <?php ($add_on_qty=1); ?>
                                                    <?php else: ?>
                                                        <?php ($add_on_qty=$add_on_qtys[$key2]); ?>
                                                    <?php endif; ?>

                                                    <div class="font-size-sm text-body">
                                                        <span><?php echo e($addon['name']); ?> :  </span>
                                                        <span class="font-weight-bold">
                                                            <?php echo e($add_on_qty); ?> x <?php echo e($addon['price']); ?> <?php echo e(\App\CentralLogics\Helpers::currency_symbol()); ?>

                                                        </span>
                                                    </div>
                                                    <?php ($add_ons_cost+=$addon['price']*$add_on_qty); ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>

                                            <div class="col col-md-2 align-self-center">
                                                <?php if($detail['discount_on_product']!=0): ?>
                                                    <h5>
                                                        <strike>
                                                            <?php echo e(\App\CentralLogics\Helpers::variation_price(json_decode($detail['product_details'],true),$detail['variation'])
                                                            ." ".\App\CentralLogics\Helpers::currency_symbol()); ?>

                                                        </strike>
                                                    </h5>
                                                <?php endif; ?>
                                                <h6><?php echo e($detail['price']-$detail['discount_on_product'] ." ".\App\CentralLogics\Helpers::currency_symbol()); ?></h6>
                                            </div>
                                            <div class="col col-md-1 align-self-center">
                                                <h5><?php echo e($detail['quantity']); ?></h5>
                                            </div>

                                            <div class="col col-md-3 align-self-center text-right">
                                                <?php ($amount=($detail['price']-$detail['discount_on_product'])*$detail['quantity']); ?>
                                                <h5><?php echo e($amount." ".\App\CentralLogics\Helpers::currency_symbol()); ?></h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php ($sub_total+=$amount); ?>
                            <?php ($total_tax+=$detail['tax_amount']*$detail['quantity']); ?>
                            <!-- End Media -->
                                <hr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <div class="row justify-content-md-end mb-3">
                            <div class="col-md-9 col-lg-8">
                                <dl class="row text-sm-right">
                                    <dt class="col-sm-6"><?php echo e(trans('messages.items')); ?> <?php echo e(trans('messages.price')); ?>:</dt>
                                    <dd class="col-sm-6"><?php echo e($sub_total." ".\App\CentralLogics\Helpers::currency_symbol()); ?></dd>
                                    <dt class="col-sm-6"><?php echo e(trans('messages.tax')); ?> / <?php echo e(trans('messages.vat')); ?>:</dt>
                                    <dd class="col-sm-6"><?php echo e($total_tax." ".\App\CentralLogics\Helpers::currency_symbol()); ?></dd>
                                    <dt class="col-sm-6"><?php echo e(trans('messages.addon')); ?> <?php echo e(trans('messages.cost')); ?>:</dt>
                                    <dd class="col-sm-6">
                                        <?php echo e($add_ons_cost." ".\App\CentralLogics\Helpers::currency_symbol()); ?>

                                        <hr>
                                    </dd>

                                    <dt class="col-sm-6"><?php echo e(trans('messages.subtotal')); ?>:</dt>
                                    <dd class="col-sm-6">
                                        <?php echo e($sub_total+$total_tax+$add_ons_cost." ".\App\CentralLogics\Helpers::currency_symbol()); ?></dd>
                                    <dt class="col-sm-6"><?php echo e(trans('messages.coupon')); ?> <?php echo e(trans('messages.discount')); ?>:</dt>
                                    <dd class="col-sm-6">
                                        - <?php echo e($order['coupon_discount_amount']." ".\App\CentralLogics\Helpers::currency_symbol()); ?></dd>
                                    <dt class="col-sm-6"><?php echo e(trans('messages.delivery')); ?> <?php echo e(trans('messages.fee')); ?>:</dt>
                                    <dd class="col-sm-6">
                                        <?php if($order['order_type']=='take_away'): ?>
                                            <?php ($del_c=0); ?>
                                        <?php else: ?>
                                            <?php ($del_c=$order['delivery_charge']); ?>
                                        <?php endif; ?>
                                        <?php echo e($del_c." ".\App\CentralLogics\Helpers::currency_symbol()); ?>

                                        <hr>
                                    </dd>

                                    <dt class="col-sm-6"><?php echo e(trans('messages.total')); ?>:</dt>
                                    <dd class="col-sm-6"><?php echo e($sub_total+$del_c+$total_tax+$add_ons_cost-$order['coupon_discount_amount']." ".\App\CentralLogics\Helpers::currency_symbol()); ?></dd>
                                </dl>
                                <!-- End Row -->
                            </div>
                        </div>
                        <!-- End Row -->
                    </div>
                    <!-- End Body -->
                </div>
                <!-- End Card -->
            </div>

            <div class="col-lg-4">
                <!-- Card -->
                <div class="card">
                    <!-- Header -->
                    <div class="card-header">
                        <h4 class="card-header-title"><?php echo e(trans('messages.customer')); ?></h4>
                    </div>
                    <!-- End Header -->

                    <!-- Body -->
                    <?php if($order->customer): ?>
                        <div class="card-body">
                            <div class="media align-items-center" href="javascript:">
                                <div class="avatar avatar-circle mr-3">
                                    <img
                                        class="avatar-img" style="width: 75px"
                                        onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img1.jpg')); ?>'"
                                        src="<?php echo e(asset('storage/app/public/profile/'.$order->customer->image)); ?>"
                                        alt="Image Description">
                                </div>
                                <div class="media-body">
                                <span
                                    class="text-body text-hover-primary"><?php echo e($order->customer['f_name'].' '.$order->customer['l_name']); ?></span>
                                </div>
                                <div class="media-body text-right">
                                    
                                </div>
                            </div>

                            <hr>

                            <div class="media align-items-center" href="javascript:">
                                <div class="icon icon-soft-info icon-circle mr-3">
                                    <i class="tio-shopping-basket-outlined"></i>
                                </div>
                                <div class="media-body">
                                    <span class="text-body text-hover-primary"><?php echo e(\App\Model\Order::where('user_id',$order['user_id'])->count()); ?> <?php echo e(trans('messages.orders')); ?></span>
                                </div>
                                <div class="media-body text-right">
                                    
                                </div>
                            </div>

                            <hr>

                            <div class="d-flex justify-content-between align-items-center">
                                <h5><?php echo e(trans('messages.contact')); ?> <?php echo e(trans('messages.info')); ?></h5>
                            </div>

                            <ul class="list-unstyled list-unstyled-py-2">
                                <li>
                                    <i class="tio-online mr-2"></i>
                                    <?php echo e($order->customer['email']); ?>

                                </li>
                                <li>
                                    <i class="tio-android-phone-vs mr-2"></i>
                                    <?php echo e($order->customer['phone']); ?>

                                </li>
                            </ul>

                            <?php if($order['order_type']!='take_away'): ?>
                                <hr>
                                <?php ($address=\App\Model\CustomerAddress::find($order['delivery_address_id'])); ?>
                                <div class="d-flex justify-content-between align-items-center">
                                    <h5>Delivery address</h5>
                                    <?php if(isset($address)): ?>
                                        <a class="link" data-toggle="modal" data-target="#shipping-address-modal"
                                           href="javascript:">Edit</a>
                                    <?php endif; ?>
                                </div>
                                <?php if(isset($address)): ?>
                                    <span class="d-block">
                                    <?php echo e($address['contact_person_name']); ?><br>
                                    <?php echo e($address['contact_person_number']); ?><br>
                                    <?php echo e($address['address_type']); ?><br>
                                    <a target="_blank"
                                       href="http://maps.google.com/maps?z=12&t=m&q=loc:<?php echo e($address['latitude']); ?>+<?php echo e($address['longitude']); ?>">
                                       <i class="tio-map"></i> <?php echo e($address['address']); ?><br>
                                    </a>
                                </span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                <?php endif; ?>
                <!-- End Body -->
                </div>
                <!-- End Card -->
            </div>
        </div>
        <!-- End Row -->
    </div>

    <!-- Modal -->
    <div class="modal fade bd-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title h4" id="mySmallModalLabel"><?php echo e(trans('messages.reference')); ?> <?php echo e(trans('messages.code')); ?> <?php echo e(trans('messages.add')); ?></h5>
                    <button type="button" class="btn btn-xs btn-icon btn-ghost-secondary" data-dismiss="modal"
                            aria-label="Close">
                        <i class="tio-clear tio-lg"></i>
                    </button>
                </div>

                <form action="<?php echo e(route('branch.orders.add-payment-ref-code',[$order['id']])); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <!-- Input Group -->
                        <div class="form-group">
                            <input type="text" name="transaction_reference" class="form-control"
                                   placeholder="EX : Code123" required>
                        </div>
                        <!-- End Input Group -->
                        <button class="btn btn-primary"><?php echo e(trans('messages.submit')); ?></button>
                    </div>
                </form>

            </div>
        </div>
    </div>
    <!-- End Modal -->

    <!-- Modal -->
    <div id="shipping-address-modal" class="modal fade" tabindex="-1" role="dialog"
         aria-labelledby="exampleModalTopCoverTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <!-- Header -->
                <div class="modal-top-cover bg-dark text-center">
                    <figure class="position-absolute right-0 bottom-0 left-0" style="margin-bottom: -1px;">
                        <svg preserveAspectRatio="none" xmlns="http://www.w3.org/2000/svg" x="0px" y="0px"
                             viewBox="0 0 1920 100.1">
                            <path fill="#fff" d="M0,0c0,0,934.4,93.4,1920,0v100.1H0L0,0z"/>
                        </svg>
                    </figure>

                    <div class="modal-close">
                        <button type="button" class="btn btn-icon btn-sm btn-ghost-light" data-dismiss="modal"
                                aria-label="Close">
                            <svg width="16" height="16" viewBox="0 0 18 18" xmlns="http://www.w3.org/2000/svg">
                                <path fill="currentColor"
                                      d="M11.5,9.5l5-5c0.2-0.2,0.2-0.6-0.1-0.9l-1-1c-0.3-0.3-0.7-0.3-0.9-0.1l-5,5l-5-5C4.3,2.3,3.9,2.4,3.6,2.6l-1,1 C2.4,3.9,2.3,4.3,2.5,4.5l5,5l-5,5c-0.2,0.2-0.2,0.6,0.1,0.9l1,1c0.3,0.3,0.7,0.3,0.9,0.1l5-5l5,5c0.2,0.2,0.6,0.2,0.9-0.1l1-1 c0.3-0.3,0.3-0.7,0.1-0.9L11.5,9.5z"/>
                            </svg>
                        </button>
                    </div>
                </div>
                <!-- End Header -->

                <div class="modal-top-cover-icon">
                    <span class="icon icon-lg icon-light icon-circle icon-centered shadow-soft">
                      <i class="tio-location-search"></i>
                    </span>
                </div>

                <?php ($address=\App\Model\CustomerAddress::find($order['delivery_address_id'])); ?>
                <?php if(isset($address)): ?>
                    <form action="<?php echo e(route('branch.order.update-shipping',[$order['delivery_address_id']])); ?>"
                          method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(trans('messages.type')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="address_type"
                                           value="<?php echo e($address['address_type']); ?>" required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(trans('messages.contact')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="contact_person_number"
                                           value="<?php echo e($address['contact_person_number']); ?>" required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(trans('messages.name')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="contact_person_name"
                                           value="<?php echo e($address['contact_person_name']); ?>" required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(trans('messages.address')); ?>

                                </label>
                                <div class="col-md-10 js-form-message">
                                    <input type="text" class="form-control" name="address"
                                           value="<?php echo e($address['address']); ?>"
                                           required>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(trans('messages.latitude')); ?>

                                </label>
                                <div class="col-md-4 js-form-message">
                                    <input type="text" class="form-control" name="latitude"
                                           value="<?php echo e($address['latitude']); ?>"
                                           required>
                                </div>
                                <label for="requiredLabel" class="col-md-2 col-form-label input-label text-md-right">
                                    <?php echo e(trans('messages.longitude')); ?>

                                </label>
                                <div class="col-md-4 js-form-message">
                                    <input type="text" class="form-control" name="longitude"
                                           value="<?php echo e($address['longitude']); ?>" required>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-white" data-dismiss="modal"><?php echo e(trans('messages.close')); ?></button>
                            <button type="submit" class="btn btn-primary"><?php echo e(trans('messages.save')); ?> <?php echo e(trans('messages.changes')); ?></button>
                        </div>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <!-- End Modal -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        function addDeliveryMan(id) {
            $.ajax({
                type: "GET",
                url: '<?php echo e(url('/')); ?>/branch/orders/add-delivery-man/<?php echo e($order['id']); ?>/' + id,
                data: $('#product_form').serialize(),
                success: function (data) {
                    toastr.success('Successfully added', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                },
                error: function () {
                    toastr.error('Add valid data', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            });
        }

        function last_location_view() {
            toastr.warning('Only available when order is out for delivery!', {
                CloseButton: true,
                ProgressBar: true
            });
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.branch.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\server\htdocs\delivery_app\resources\views/branch-views/order/order-view.blade.php ENDPATH**/ ?>