<?php $__env->startSection('title','Update Coupon'); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col-sm mb-2 mb-sm-0">
                    <h1 class="page-header-title"><i class="tio-edit"></i> <?php echo e(trans('messages.coupon')); ?> <?php echo e(trans('messages.update')); ?></h1>
                </div>
            </div>
        </div>
        <!-- End Page Header -->
        <div class="row gx-2 gx-lg-3">
            <div class="col-sm-12 col-lg-12 mb-3 mb-lg-2">
                <form action="<?php echo e(route('admin.coupon.update',[$coupon['id']])); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.title')); ?></label>
                                <input type="text" name="title" value="<?php echo e($coupon['title']); ?>" class="form-control"
                                       placeholder="New coupon" required>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.coupon')); ?> <?php echo e(trans('messages.type')); ?></label>
                                <select name="coupon_type" class="form-control" onchange="coupon_type_change(this.value)">
                                    <option value="default" <?php echo e($coupon['coupon_type']=='default'?'selected':''); ?>>
                                        <?php echo e(trans('messages.default')); ?>

                                    </option>
                                    <option value="first_order" <?php echo e($coupon['coupon_type']=='first_order'?'selected':''); ?>>
                                        <?php echo e(trans('messages.first')); ?> <?php echo e(trans('messages.order')); ?>

                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-4" id="limit-for-user" style="display: <?php echo e($coupon['coupon_type']=='first_order'?'none':'block'); ?>">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.limit')); ?> <?php echo e(trans('messages.for')); ?> <?php echo e(trans('messages.same')); ?> <?php echo e(trans('messages.user')); ?></label>
                                <input type="number" name="limit" value="<?php echo e($coupon['limit']); ?>" class="form-control"
                                       placeholder="EX: 10">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-4 col-6">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.code')); ?></label>
                                <input type="text" name="code" class="form-control" value="<?php echo e($coupon['code']); ?>"
                                       placeholder="<?php echo e(\Illuminate\Support\Str::random(8)); ?>" required>
                            </div>
                        </div>
                        <div class="col-md-4 col-6">
                            <div class="form-group">
                                <label class="input-label" for=""><?php echo e(trans('messages.start')); ?> <?php echo e(trans('messages.date')); ?></label>
                                <input type="text" name="start_date" class="js-flatpickr form-control flatpickr-custom" placeholder="Select dates" value="<?php echo e(date('Y/m/d',strtotime($coupon['start_date']))); ?>"
                                       data-hs-flatpickr-options='{
                                     "dateFormat": "Y/m/d"
                                   }'>
                            </div>
                        </div>
                        <div class="col-md-4 col-6">
                            <div class="form-group">
                                <label class="input-label" for=""><?php echo e(trans('messages.expire')); ?> <?php echo e(trans('messages.date')); ?></label>
                                <input type="text" name="expire_date" class="js-flatpickr form-control flatpickr-custom" placeholder="Select dates" value="<?php echo e(date('Y/m/d',strtotime($coupon['expire_date']))); ?>"
                                       data-hs-flatpickr-options='{
                                     "dateFormat": "Y/m/d"
                                   }'>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-3 col-6">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.min')); ?> <?php echo e(trans('messages.purchase')); ?></label>
                                <input type="number" name="min_purchase" step="0.01" value="<?php echo e($coupon['min_purchase']); ?>"
                                       min="0" max="100000" class="form-control"
                                       placeholder="100">
                            </div>
                        </div>
                        <div class="col-md-3 col-6">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.max')); ?> <?php echo e(trans('messages.discount')); ?></label>
                                <input type="number" min="0" max="1000000" step="0.01"
                                       value="<?php echo e($coupon['max_discount']); ?>" name="max_discount" class="form-control">
                            </div>
                        </div>
                        <div class="col-md-4 col-6">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.discount')); ?></label>
                                <input type="number" min="1" max="10000" step="0.01" value="<?php echo e($coupon['discount']); ?>"
                                       name="discount" class="form-control" required>
                            </div>
                        </div>
                        <div class="col-md-2 col-6">
                            <div class="form-group">
                                <label class="input-label" for="exampleFormControlInput1"><?php echo e(trans('messages.discount')); ?> <?php echo e(trans('messages.type')); ?></label>
                                <select name="discount_type" class="form-control">
                                    <option value="amount" <?php echo e($coupon['discount_type']=='amount'?'selected':''); ?>><?php echo e(trans('messages.amount')); ?>

                                    </option>
                                    <option value="percent" <?php echo e($coupon['discount_type']=='percent'?'selected':''); ?>>
                                        <?php echo e(trans('messages.percent')); ?>

                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary"><?php echo e(trans('messages.update')); ?></button>
                </form>
            </div>
            <!-- End Table -->
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        $(document).on('ready', function () {
            // INITIALIZATION OF FLATPICKR
            // =======================================================
            $('.js-flatpickr').each(function () {
                $.HSCore.components.HSFlatpickr.init($(this));
            });
        });

        function coupon_type_change(order_type) {
            if(order_type=='first_order'){
                $('#limit-for-user').hide();
            }else{
                $('#limit-for-user').show();
            }
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\server\htdocs\delivery_app\resources\views/admin-views/coupon/edit.blade.php ENDPATH**/ ?>