<?php $__env->startSection('title','Dashboard'); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col-sm mb-2 mb-sm-0">
                    <h1 class="page-header-title"><?php echo e(trans('messages.welcome')); ?>, <?php echo e(auth('admin')->user()->f_name); ?>.</h1>
                    <p class="page-header-text"><?php echo e(trans('messages.welcome_message')); ?></p>
                </div>

                <div class="col-sm-auto">
                    <a class="btn btn-primary" href="<?php echo e(route('admin.product.list')); ?>">
                        <i class="tio-premium-outlined mr-1"></i> <?php echo e(trans('messages.products')); ?>

                    </a>
                </div>
            </div>
        </div>
        <!-- End Page Header -->

        <!-- Card -->
        <div class="card card-body mb-3 mb-lg-5">
            <div class="row gx-lg-4">
                <div class="col-sm-6 col-lg-3">
                    <div class="media" style="cursor: pointer" onclick="location.href='<?php echo e(route('admin.orders.list',['pending'])); ?>'">
                        <div class="media-body">
                            <h6 class="card-subtitle"><?php echo e(trans('messages.pending')); ?></h6>
                            <span class="card-title h3"><?php echo e(\App\Model\Order::where(['order_status'=>'pending'])->count()); ?></span>
                        </div>
                        <span class="icon icon-sm icon-soft-secondary icon-circle ml-3">
                          <i class="tio-airdrop"></i>
                        </span>
                    </div>
                    <div class="d-lg-none">
                        <hr>
                    </div>
                </div>

                <div class="col-sm-6 col-lg-3 column-divider-sm">
                    <div class="media" style="cursor: pointer" onclick="location.href='<?php echo e(route('admin.orders.list',['confirmed'])); ?>'">
                        <div class="media-body">
                            <h6 class="card-subtitle"><?php echo e(trans('messages.confirmed')); ?></h6>
                            <span class="card-title h3"><?php echo e(\App\Model\Order::where(['order_status'=>'confirmed'])->count()); ?></span>
                        </div>
                        <span class="icon icon-sm icon-soft-secondary icon-circle ml-3">
                          <i class="tio-checkmark-circle"></i>
                        </span>
                    </div>
                    <div class="d-lg-none">
                        <hr>
                    </div>
                </div>

                <div class="col-sm-6 col-lg-3 column-divider-lg">
                    <div class="media" style="cursor: pointer" onclick="location.href='<?php echo e(route('admin.orders.list',['processing'])); ?>'">
                        <div class="media-body">
                            <h6 class="card-subtitle"><?php echo e(trans('messages.processing')); ?></h6>
                            <span class="card-title h3"><?php echo e(\App\Model\Order::where(['order_status'=>'processing'])->count()); ?></span>
                        </div>
                        <span class="icon icon-sm icon-soft-secondary icon-circle ml-3">
                          <i class="tio-running"></i>
                        </span>
                    </div>
                    <div class="d-lg-none">
                        <hr>
                    </div>
                </div>

                <div class="col-sm-6 col-lg-3 column-divider-sm">
                    <div class="media" style="cursor: pointer" onclick="location.href='<?php echo e(route('admin.orders.list',['out_for_delivery'])); ?>'">
                        <div class="media-body">
                            <h6 class="card-subtitle"><?php echo e(trans('messages.out_for_delivery')); ?></h6>
                            <span class="card-title h3"><?php echo e(\App\Model\Order::where(['order_status'=>'out_for_delivery'])->count()); ?></span>
                        </div>
                        <span class="icon icon-sm icon-soft-secondary icon-circle ml-3">
                          <i class="tio-bike"></i>
                        </span>
                    </div>
                    <div class="d-lg-none">
                        <hr>
                    </div>
                </div>
            </div>
        </div>
        <!-- End Card -->

    <?php
        $array=[];
            for ($i=1;$i<=12;$i++){
                $from = date('Y-'.$i.'-01');
                $to = date('Y-'.$i.'-30');
                $array[$i]=\App\Model\Order::whereBetween('created_at', [$from, $to])->count();
            }
    ?>
    <!-- Stats -->
        <div class="row gx-2 gx-lg-3">
            <div class="col-sm-6 col-lg-3 mb-3 mb-lg-5">
                <!-- Card -->
                <a class="card card-hover-shadow h-100" href="<?php echo e(route('admin.orders.list',['status'=>'all'])); ?>">
                    <div class="card-body">
                        <h6 class="card-subtitle"><?php echo e(trans('messages.total')); ?> <?php echo e(trans('messages.orders')); ?></h6>

                        <div class="row align-items-center gx-2 mb-1">
                            <div class="col-6">
                                <span class="card-title h2"><?php echo e(\App\Model\Order::all()->count()); ?></span>
                            </div>

                            <div class="col-6">
                                <!-- Chart -->
                                <div class="chartjs-custom" style="height: 3rem;">
                                    <canvas class="js-chart"
                                            data-hs-chartjs-options='{
                                "type": "line",
                                "data": {
                                   "labels": ["Jan","Feb","Mar","April","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],
                                   "datasets": [{
                                    "data": [<?php echo e($array[1]); ?>,<?php echo e($array[2]); ?>,<?php echo e($array[3]); ?>,<?php echo e($array[4]); ?>,<?php echo e($array[5]); ?>,<?php echo e($array[6]); ?>,<?php echo e($array[7]); ?>,<?php echo e($array[8]); ?>,<?php echo e($array[9]); ?>,<?php echo e($array[10]); ?>,<?php echo e($array[11]); ?>,<?php echo e($array[12]); ?>],
                                    "backgroundColor": ["#FC6A57", "#FC6A57"],
                                    "borderColor": "#FC6A57",
                                    "borderWidth": 2,
                                    "pointRadius": 0,
                                    "pointHoverRadius": 0
                                  }]
                                },
                                "options": {
                                   "scales": {
                                     "yAxes": [{
                                       "display": false
                                     }],
                                     "xAxes": [{
                                       "display": false
                                     }]
                                   },
                                  "hover": {
                                    "mode": "nearest",
                                    "intersect": false
                                  },
                                  "tooltips": {
                                    "postfix": "",
                                    "hasIndicator": true,
                                    "intersect": false
                                  }
                                }
                              }'>
                                    </canvas>
                                </div>
                                <!-- End Chart -->
                            </div>
                        </div>
                        <!-- End Row -->

                        <span class="badge badge-soft-success">
                  <i class="tio-trending-up"></i> Jan - Dec
                </span>
                    </div>
                </a>
                <!-- End Card -->
            </div>

            <div class="col-sm-6 col-lg-3 mb-3 mb-lg-5">
                <!-- Card -->
                <?php
                    $array=[];
                        for ($i=1;$i<=12;$i++){
                            $from = date('Y-'.$i.'-01');
                            $to = date('Y-'.$i.'-30');
                            $array[$i]=\App\Model\Order::where(['order_status'=>'delivered'])->whereBetween('created_at', [$from, $to])->count();
                        }
                ?>
                <a class="card card-hover-shadow h-100" href="<?php echo e(route('admin.orders.list',['status'=>'delivered'])); ?>">
                    <div class="card-body">
                        <h6 class="card-subtitle"><?php echo e(trans('messages.delivered')); ?></h6>

                        <div class="row align-items-center gx-2 mb-1">
                            <div class="col-6">
                                <span
                                    class="card-title h2"><?php echo e(\App\Model\Order::where(['order_status'=>'delivered'])->count()); ?></span>
                            </div>

                            <div class="col-6">
                                <!-- Chart -->
                                <div class="chartjs-custom" style="height: 3rem;">
                                    <canvas class="js-chart"
                                            data-hs-chartjs-options='{
                                    "type": "line",
                                    "data": {
                                       "labels": ["Jan","Feb","Mar","April","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],
                                       "datasets": [{
                                        "data": [<?php echo e($array[1]); ?>,<?php echo e($array[2]); ?>,<?php echo e($array[3]); ?>,<?php echo e($array[4]); ?>,<?php echo e($array[5]); ?>,<?php echo e($array[6]); ?>,<?php echo e($array[7]); ?>,<?php echo e($array[8]); ?>,<?php echo e($array[9]); ?>,<?php echo e($array[10]); ?>,<?php echo e($array[11]); ?>,<?php echo e($array[12]); ?>],
                                        "backgroundColor": ["#FC6A57", "#FC6A57"],
                                        "borderColor": "#FC6A57",
                                        "borderWidth": 2,
                                        "pointRadius": 0,
                                        "pointHoverRadius": 0
                                      }]
                                    },
                                "options": {
                                   "scales": {
                                     "yAxes": [{
                                       "display": false
                                     }],
                                     "xAxes": [{
                                       "display": false
                                     }]
                                   },
                                  "hover": {
                                    "mode": "nearest",
                                    "intersect": false
                                  },
                                  "tooltips": {
                                    "postfix": "",
                                    "hasIndicator": true,
                                    "intersect": false
                                  }
                                }
                              }'>
                                    </canvas>
                                </div>
                                <!-- End Chart -->
                            </div>
                        </div>
                        <!-- End Row -->

                        <span class="badge badge-soft-success">
                  <i class="tio-trending-up"></i> Jan - Dec
                </span>
                    </div>
                </a>
                <!-- End Card -->
            </div>

            <div class="col-sm-6 col-lg-3 mb-3 mb-lg-5">
                <!-- Card -->
                <?php
                    $array=[];
                        for ($i=1;$i<=12;$i++){
                            $from = date('Y-'.$i.'-01');
                            $to = date('Y-'.$i.'-30');
                            $array[$i]=\App\Model\Order::where(['order_status'=>'returned'])->whereBetween('created_at', [$from, $to])->count();
                        }
                ?>
                <a class="card card-hover-shadow h-100" href="<?php echo e(route('admin.orders.list',['status'=>'returned'])); ?>">
                    <div class="card-body">
                        <h6 class="card-subtitle"><?php echo e(trans('messages.returned')); ?></h6>

                        <div class="row align-items-center gx-2 mb-1">
                            <div class="col-6">
                                <span
                                    class="card-title h2"><?php echo e(\App\Model\Order::where(['order_status'=>'returned'])->count()); ?></span>
                            </div>

                            <div class="col-6">
                                <!-- Chart -->
                                <div class="chartjs-custom" style="height: 3rem;">
                                    <canvas class="js-chart"
                                            data-hs-chartjs-options='{
                                  "type": "line",
                                    "data": {
                                       "labels": ["Jan","Feb","Mar","April","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],
                                       "datasets": [{
                                        "data": [<?php echo e($array[1]); ?>,<?php echo e($array[2]); ?>,<?php echo e($array[3]); ?>,<?php echo e($array[4]); ?>,<?php echo e($array[5]); ?>,<?php echo e($array[6]); ?>,<?php echo e($array[7]); ?>,<?php echo e($array[8]); ?>,<?php echo e($array[9]); ?>,<?php echo e($array[10]); ?>,<?php echo e($array[11]); ?>,<?php echo e($array[12]); ?>],
                                        "backgroundColor": ["#FC6A57", "#FC6A57"],
                                        "borderColor": "#FC6A57",
                                        "borderWidth": 2,
                                        "pointRadius": 0,
                                        "pointHoverRadius": 0
                                      }]
                                    },
                                "options": {
                                   "scales": {
                                     "yAxes": [{
                                       "display": false
                                     }],
                                     "xAxes": [{
                                       "display": false
                                     }]
                                   },
                                  "hover": {
                                    "mode": "nearest",
                                    "intersect": false
                                  },
                                  "tooltips": {
                                    "postfix": "",
                                    "hasIndicator": true,
                                    "intersect": false
                                  }
                                }
                              }'>
                                    </canvas>
                                </div>
                                <!-- End Chart -->
                            </div>
                        </div>
                        <!-- End Row -->
                        <span class="badge badge-soft-warning">
                  <i class="tio-trending-down"></i> Jan - Dec
                </span>
                    </div>
                </a>
                <!-- End Card -->
            </div>

            <div class="col-sm-6 col-lg-3 mb-3 mb-lg-5">
                <!-- Card -->
                <?php
                    $array=[];
                        for ($i=1;$i<=12;$i++){
                            $from = date('Y-'.$i.'-01');
                            $to = date('Y-'.$i.'-30');
                            $array[$i]=\App\Model\Order::where(['order_status'=>'failed'])->whereBetween('created_at', [$from, $to])->count();
                        }
                ?>
                <a class="card card-hover-shadow h-100" href="<?php echo e(route('admin.orders.list',['status'=>'failed'])); ?>">
                    <div class="card-body">
                        <h6 class="card-subtitle"><?php echo e(trans('messages.failed')); ?></h6>

                        <div class="row align-items-center gx-2 mb-1">
                            <div class="col-6">
                                <span
                                    class="card-title h2"><?php echo e(\App\Model\Order::where(['order_status'=>'failed'])->count()); ?></span>
                            </div>

                            <div class="col-6">
                                <!-- Chart -->
                                <div class="chartjs-custom" style="height: 3rem;">
                                    <canvas class="js-chart"
                                            data-hs-chartjs-options='{
                                    "type": "line",
                                    "data": {
                                       "labels": ["Jan","Feb","Mar","April","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],
                                       "datasets": [{
                                        "data": [<?php echo e($array[1]); ?>,<?php echo e($array[2]); ?>,<?php echo e($array[3]); ?>,<?php echo e($array[4]); ?>,<?php echo e($array[5]); ?>,<?php echo e($array[6]); ?>,<?php echo e($array[7]); ?>,<?php echo e($array[8]); ?>,<?php echo e($array[9]); ?>,<?php echo e($array[10]); ?>,<?php echo e($array[11]); ?>,<?php echo e($array[12]); ?>],
                                        "backgroundColor": ["#FC6A57", "#FC6A57"],
                                        "borderColor": "#FC6A57",
                                        "borderWidth": 2,
                                        "pointRadius": 0,
                                        "pointHoverRadius": 0
                                      }]
                                    },
                                "options": {
                                   "scales": {
                                     "yAxes": [{
                                       "display": false
                                     }],
                                     "xAxes": [{
                                       "display": false
                                     }]
                                   },
                                  "hover": {
                                    "mode": "nearest",
                                    "intersect": false
                                  },
                                  "tooltips": {
                                    "postfix": "",
                                    "hasIndicator": true,
                                    "intersect": false
                                  }
                                }
                              }'>
                                    </canvas>
                                </div>
                                <!-- End Chart -->
                            </div>
                        </div>
                        <!-- End Row -->

                        <span class="badge badge-soft-danger">
                  <i class="tio-trending-down"></i> Jan - Dec
                        </span>
                    </div>
                </a>
                <!-- End Card -->
            </div>
        </div>
        <!-- End Stats -->

        <div class="row gx-2 gx-lg-3">
            <div class="col-lg-12 mb-3 mb-lg-12">
                <!-- Card -->
                <div class="card h-100">
                    <!-- Body -->
                    <?php
                        $array=[];
                            for ($i=1;$i<=12;$i++){
                                $from = date('Y-'.$i.'-01');
                                $to = date('Y-'.$i.'-30');
                                $array[$i]=\App\Model\Order::where(['order_status'=>'delivered'])->whereBetween('created_at', [$from, $to])->sum('order_amount');
                            }
                    ?>
                    <div class="card-body">
                        <div class="row mb-4">
                            <div class="col-sm mb-2 mb-sm-0">
                                <div class="d-flex align-items-center">
                                    <?php ($this_month=\App\Model\Order::where(['order_status'=>'delivered'])->whereBetween('updated_at', [date('Y-m-01'), date('Y-m-30')])->sum('order_amount')); ?>
                                    <?php ($amount=0); ?>
                                    <span
                                        class="h1 mb-0"><?php $__currentLoopData = $array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ar): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?><?php ($amount+=$ar); ?><?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?><?php echo e($amount." ".\App\CentralLogics\Helpers::currency_symbol()); ?></span>
                                    <span class="text-success ml-2">
                                        <?php ($amount=$amount!=0?$amount:0.01); ?>
                                        <i class="tio-trending-up"></i> <?php echo e(round(($this_month/$amount)*100)); ?> %
                                    </span>
                                </div>
                            </div>

                            <div class="col-sm-auto align-self-sm-end">
                                <!-- Legend Indicators -->
                                <div class="row font-size-sm">
                                    <div class="col-auto">
                                        <h5 class="card-header-title"><?php echo e(trans('messages.monthly')); ?> <?php echo e(trans('messages.earning')); ?></h5>
                                    </div>
                                </div>
                                <!-- End Legend Indicators -->
                            </div>
                        </div>
                        <!-- End Row -->

                        <!-- Bar Chart -->
                        <div class="chartjs-custom">
                            <canvas id="updatingData" style="height: 20rem;"
                                    data-hs-chartjs-options='{
                            "type": "bar",
                            "data": {
                              "labels": ["Jan","Feb","Mar","April","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],
                              "datasets": [{
                                "data": [<?php echo e($array[1]); ?>,<?php echo e($array[2]); ?>,<?php echo e($array[3]); ?>,<?php echo e($array[4]); ?>,<?php echo e($array[5]); ?>,<?php echo e($array[6]); ?>,<?php echo e($array[7]); ?>,<?php echo e($array[8]); ?>,<?php echo e($array[9]); ?>,<?php echo e($array[10]); ?>,<?php echo e($array[11]); ?>,<?php echo e($array[12]); ?>],
                                "backgroundColor": "#FC6A57",
                                "hoverBackgroundColor": "#FC6A57",
                                "borderColor": "#FC6A57"
                              },
                              {
                                "data": [<?php echo e($array[1]); ?>,<?php echo e($array[2]); ?>,<?php echo e($array[3]); ?>,<?php echo e($array[4]); ?>,<?php echo e($array[5]); ?>,<?php echo e($array[6]); ?>,<?php echo e($array[7]); ?>,<?php echo e($array[8]); ?>,<?php echo e($array[9]); ?>,<?php echo e($array[10]); ?>,<?php echo e($array[11]); ?>,<?php echo e($array[12]); ?>],
                                "backgroundColor": "#e7eaf3",
                                "borderColor": "#e7eaf3"
                              }]
                            },
                            "options": {
                              "scales": {
                                "yAxes": [{
                                  "gridLines": {
                                    "color": "#e7eaf3",
                                    "drawBorder": false,
                                    "zeroLineColor": "#e7eaf3"
                                  },
                                  "ticks": {
                                    "beginAtZero": true,
                                    "stepSize": <?php echo e($amount>1?20000:1); ?>,
                                    "fontSize": 12,
                                    "fontColor": "#97a4af",
                                    "fontFamily": "Open Sans, sans-serif",
                                    "padding": 10,
                                    "postfix": " <?php echo e(\App\CentralLogics\Helpers::currency_symbol()); ?>"
                                  }
                                }],
                                "xAxes": [{
                                  "gridLines": {
                                    "display": false,
                                    "drawBorder": false
                                  },
                                  "ticks": {
                                    "fontSize": 12,
                                    "fontColor": "#97a4af",
                                    "fontFamily": "Open Sans, sans-serif",
                                    "padding": 5
                                  },
                                  "categoryPercentage": 0.5,
                                  "maxBarThickness": "10"
                                }]
                              },
                              "cornerRadius": 2,
                              "tooltips": {
                                "prefix": " ",
                                "hasIndicator": true,
                                "mode": "index",
                                "intersect": false
                              },
                              "hover": {
                                "mode": "nearest",
                                "intersect": true
                              }
                            }
                          }'></canvas>
                        </div>
                        <!-- End Bar Chart -->
                    </div>
                    <!-- End Body -->
                </div>
                <!-- End Card -->
            </div>
        </div>
        <!-- End Row -->

        <div class="row gx-2 gx-lg-3">
            <div class="col-lg-6 mb-3 mb-lg-0">
                <!-- Card -->
                <div class="card h-100">
                    <!-- Header -->
                    <div class="card-header">
                        <h5 class="card-header-title"><?php echo e(trans('messages.business')); ?> <?php echo e(trans('messages.overview')); ?>

                            ( <?php echo e(date('M').'-'.date('M',strtotime('first day of +1 month'))); ?> ) <?php echo e(trans('messages.in')); ?> % </h5>

                        <!-- Daterangepicker -->
                    
                    <!-- End Daterangepicker -->
                    </div>
                    <!-- End Header -->

                    <!-- Body -->
                    <div class="card-body">
                    <?php ($customers=\App\User::whereBetween('updated_at', [date('Y-m-01'), date('Y-m-31')])->count()); ?>
                    <?php ($reviews=\App\Model\Review::whereBetween('updated_at', [date('Y-m-01'), date('Y-m-31')])->count()); ?>
                    <?php ($orders=\App\Model\Order::whereBetween('updated_at', [date('Y-m-01'), date('Y-m-31')])->count()); ?>
                    <?php ($total=$customers+$reviews+$orders); ?>
                    <?php if($total==0): ?>
                        <?php ($total=1); ?>
                    <?php endif; ?>

                    <!-- Chart -->
                        <div class="chartjs-custom mx-auto" style="height: 20rem;">
                            <canvas class="js-chart-datalabels"
                                    data-hs-chartjs-options='{
                            "type": "bubble",
                            "data": {
                              "datasets": [
                                {
                                  "label": "Customers",
                                  "data": [
                                    {"x": 55, "y": 65, "r": <?php echo e(round(($customers/$total)*100)); ?> }
                                  ],
                                  "color": "#fff",
                                  "backgroundColor": "#FC6A57",
                                  "borderColor": "transparent"
                                },
                                {
                                  "label": "Label 2",
                                  "data": [
                                    {"x": 33, "y": 42, "r": <?php echo e(round(($orders/$total)*100)); ?> }
                                  ],
                                  "color": "#fff",
                                  "backgroundColor": "rgba(100, 0, 214, 0.8)",
                                  "borderColor": "transparent"
                                },
                                {
                                  "label": "Label 3",
                                  "data": [
                                    {"x": 55, "y": 20, "r": <?php echo e(round(($reviews/$total)*100)); ?> }
                                  ],
                                  "color": "#fff",
                                  "backgroundColor": "#00c9db",
                                  "borderColor": "transparent"
                                }
                              ]
                            },
                            "options": {
                              "scales": {
                                "yAxes": [{
                                  "gridLines": {
                                    "display": false
                                  },
                                  "ticks": {
                                    "display": false,
                                    "max": 100,
                                    "beginAtZero": true
                                  }
                                }],
                                "xAxes": [{
                                "gridLines": {
                                    "display": false
                                  },
                                  "ticks": {
                                    "display": false,
                                    "max": 100,
                                    "beginAtZero": true
                                  }
                                }]
                              },
                              "tooltips": false
                            }
                          }'></canvas>
                        </div>
                        <!-- End Chart -->

                        <!-- Legend Indicators -->
                        <div class="row justify-content-center">
                            <div class="col-auto" onclick="location.href='<?php echo e(route('admin.customer.list')); ?>'"
                                 style="cursor: pointer">
                                <span class="legend-indicator bg-primary"></span> <?php echo e(trans('messages.customer')); ?>

                                ( <?php echo e($customers); ?> )
                            </div>

                            <div class="col-auto" onclick="location.href='<?php echo e(route('admin.orders.list',['all'])); ?>'"
                                 style="cursor: pointer">
                                <span class="legend-indicator" style="background-color: #7000f2;"></span> <?php echo e(trans('messages.orders')); ?>

                                ( <?php echo e($orders); ?> )
                            </div>

                            <div class="col-auto" onclick="location.href='<?php echo e(route('admin.reviews.list')); ?>'"
                                 style="cursor: pointer">
                                <span class="legend-indicator bg-info"></span> <?php echo e(trans('messages.reviews')); ?>

                                ( <?php echo e($reviews); ?> )
                            </div>
                        </div>
                        <!-- End Legend Indicators -->
                    </div>
                    <!-- End Body -->
                </div>
                <!-- End Card -->
            </div>

            <div class="col-lg-6">
                <!-- Card -->
                <div class="card h-100">
                    <!-- Header -->
                    <div class="card-header">
                        <h5 class="card-header-title"><?php echo e(trans('messages.reports')); ?> <?php echo e(trans('messages.overview')); ?></h5>

                        <!-- Unfold -->
                        <div class="hs-unfold">
                            <a class="js-hs-unfold-invoker btn btn-icon btn-sm btn-ghost-secondary rounded-circle"
                               href="javascript:"
                               data-hs-unfold-options='{
                                   "target": "#reportsOverviewDropdown1",
                                   "type": "css-animation"
                                 }'>
                            </a>
                        </div>
                        <!-- End Unfold -->
                    </div>
                    <!-- End Header -->

                    <!-- Body -->
                    <div class="card-body">
                        <?php ($items=\App\Model\Wishlist::select('product_id', DB::raw('COUNT(product_id) as count'))->groupBy('product_id')->orderBy('count','DESC')->get()); ?>
                        <span class="h1 d-block mb-4"><?php echo e($items->count()); ?> <?php echo e(trans('messages.items')); ?> <?php echo e(trans('messages.people')); ?> <?php echo e(trans('messages.like')); ?></span>
                        <!-- Progress -->
                    
                    <!-- End Progress -->

                        <small><?php echo e(trans('messages.top')); ?> 4 <?php echo e(trans('messages.products')); ?> <?php echo e(trans('messages.here')); ?>.</small>
                        <!-- Table -->
                        <div class="table-responsive">
                            <table class="table table-lg table-nowrap card-table mb-0">
                                <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($key<4 && $item->product): ?>
                                        <tr>
                                            <th scope="row">
                                                <span
                                                    class="legend-indicator bg-primary"></span><?php echo e($item->product?$item->product['name']:''); ?>

                                            </th>
                                            <td><?php echo e($item->count); ?> <?php echo e(trans('messages.people')); ?></td>
                                            <td>
                                                <span
                                                    class="badge badge-soft-success"><?php echo e($item->product?$item->product['price']:''); ?></span>
                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </table>
                        </div>
                        <!-- End Table -->
                    </div>
                    <!-- End Body -->
                </div>
                <!-- End Card -->
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('public/assets/admin')); ?>/vendor/chart.js/dist/Chart.min.js"></script>
    <script src="<?php echo e(asset('public/assets/admin')); ?>/vendor/chart.js.extensions/chartjs-extensions.js"></script>
    <script
        src="<?php echo e(asset('public/assets/admin')); ?>/vendor/chartjs-plugin-datalabels/dist/chartjs-plugin-datalabels.min.js"></script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('script_2'); ?>
    <script>
        // INITIALIZATION OF CHARTJS
        // =======================================================
        Chart.plugins.unregister(ChartDataLabels);

        $('.js-chart').each(function () {
            $.HSCore.components.HSChartJS.init($(this));
        });

        var updatingChart = $.HSCore.components.HSChartJS.init($('#updatingData'));

        // CALL WHEN TAB IS CLICKED
        // =======================================================
        $('[data-toggle="chart-bar"]').click(function (e) {
            let keyDataset = $(e.currentTarget).attr('data-datasets')

            if (keyDataset === 'lastWeek') {
                updatingChart.data.labels = ["Apr 22", "Apr 23", "Apr 24", "Apr 25", "Apr 26", "Apr 27", "Apr 28", "Apr 29", "Apr 30", "Apr 31"];
                updatingChart.data.datasets = [
                    {
                        "data": [120, 250, 300, 200, 300, 290, 350, 100, 125, 320],
                        "backgroundColor": "#377dff",
                        "hoverBackgroundColor": "#377dff",
                        "borderColor": "#377dff"
                    },
                    {
                        "data": [250, 130, 322, 144, 129, 300, 260, 120, 260, 245, 110],
                        "backgroundColor": "#e7eaf3",
                        "borderColor": "#e7eaf3"
                    }
                ];
                updatingChart.update();
            } else {
                updatingChart.data.labels = ["May 1", "May 2", "May 3", "May 4", "May 5", "May 6", "May 7", "May 8", "May 9", "May 10"];
                updatingChart.data.datasets = [
                    {
                        "data": [200, 300, 290, 350, 150, 350, 300, 100, 125, 220],
                        "backgroundColor": "#377dff",
                        "hoverBackgroundColor": "#377dff",
                        "borderColor": "#377dff"
                    },
                    {
                        "data": [150, 230, 382, 204, 169, 290, 300, 100, 300, 225, 120],
                        "backgroundColor": "#e7eaf3",
                        "borderColor": "#e7eaf3"
                    }
                ]
                updatingChart.update();
            }
        })


        // INITIALIZATION OF BUBBLE CHARTJS WITH DATALABELS PLUGIN
        // =======================================================
        $('.js-chart-datalabels').each(function () {
            $.HSCore.components.HSChartJS.init($(this), {
                plugins: [ChartDataLabels],
                options: {
                    plugins: {
                        datalabels: {
                            anchor: function (context) {
                                var value = context.dataset.data[context.dataIndex];
                                return value.r < 20 ? 'end' : 'center';
                            },
                            align: function (context) {
                                var value = context.dataset.data[context.dataIndex];
                                return value.r < 20 ? 'end' : 'center';
                            },
                            color: function (context) {
                                var value = context.dataset.data[context.dataIndex];
                                return value.r < 20 ? context.dataset.backgroundColor : context.dataset.color;
                            },
                            font: function (context) {
                                var value = context.dataset.data[context.dataIndex],
                                    fontSize = 25;

                                if (value.r > 50) {
                                    fontSize = 35;
                                }

                                if (value.r > 70) {
                                    fontSize = 55;
                                }

                                return {
                                    weight: 'lighter',
                                    size: fontSize
                                };
                            },
                            offset: 2,
                            padding: 0
                        }
                    }
                },
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\server\htdocs\delivery_app\resources\views/admin-views/dashboard.blade.php ENDPATH**/ ?>